## How to use maps4fs?

📹 WIP: Check out the complete playlist of video turorials on [YouTube](https://www.youtube.com/watch?v=hPbJZ0HoiDE&list=PLug0g7UYHX8D1Jik6NkJjQhdxqS-NOtB9). 🆕<br>

Hey, welcome to the maps4fs documentation! Here you will find all the information you need to use maps4fs.  
Recommended reading order:

1. Check out the frequently asked questions (FAQ) in the [FAQ section](FAQ.md).
2. If you're using local (Docker) version of the app, check out the [Docker FAQ](docker_faq.md).
3. Learn the short step by step guide in the [Step by step guide](step_by_step.md).
4. Learn how [DEM](dem.md) works and what it is.
5. Learn how to work with [textures](textures.md) in Giant Editor.
6. Read the detailed description of the [Map Structure](map_structure.md).
7. Learn how to [download satellite images](download_satellite_images.md) for your map.
8. Learn how to [create a background terrain](create_background_terrain.md) for your map.
9. Get familiar with [importing i3d files](import_to_giants_editor.md) into Giants Editor.
10. Learn how to [create water planes](create_water_planes.md) for Giants Editor.
11. Read about working with [fields](fields.md) in Giants Editor.
12. Read about working with [farmlands](farmlands.md) in Giants Editor.
13. Check out the documentation about [usage of custom OSM files](custom_osm.md) in maps4fs.
14. Learn how to work with the [splines](splines.md) and how to use them.
15. Check out the documentation about [creating your own DEM file](custom_dem.md).
16. Learn how to use [Procedural Generation](procedural_generation.md) scripts.

## For developers

1. How to add your own [DTM Provider](dtm_providers.md) to maps4fs.